Bug 468775 - Gnus/Emacs quotes some full names in email addresses incorrectly while replying
Gnus/Emacs quotes some full names in email addresses incorrectly while replying
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Novotny
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-27 18:20 EDT by Krzysztof Halasa
Modified: 2009-07-14 10:07 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:07:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Krzysztof Halasa 2008-10-27 18:20:51 EDT
Description of problem:
Gnus on Emacs quotes some full names in message headers incorrectly when replying, when the original names were quoted correctly, when using
"=?iso-8859-X?...?=" encoding.

Version-Release number of selected component (if applicable):
emacs-common-22.2-5.fc9.x86_64

How reproducible:
Reply/wide-reply etc. to an email from Full M. Last <xxx> encoded using
"=?iso-8859..." syntax.

Steps to Reproduce:
1. receive email from or with a copy to J.A. Magallón <his.email.address>.

   ASCII dump from a real mail header:
Cc:     ...
        =?iso-8859-1?Q?J=2EA=2E_Magall=F3n?= <xxx>,

Both full names are quoted correctly, using "=?iso-8859-" syntax.

2. mail a wide-reply with a copy to self (Bcc: your_address etc.)
3. check the ASCII representation of the Cc: header lines
  
Actual results:
The address in the reply will be encoded as:
        J.A. =?iso-8859-2?Q?Magall=F3n?= <xxx>,
Unfortunately the "J.A." part must be quoted as per the RFC.

Expected results:
        =?iso-8859-1?Q?J=2EA=2E_Magall=F3n?= <xxx>,

Additional info:
Relevant .emacs setting - I'm using:
(setq mm-coding-system-priorities '(iso-8859-2))
Comment 2 Bug Zapper 2009-06-09 23:06:08 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 10:07:26 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.